
package b4j.Valentin1;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class main implements IRemote{
	public static main mostCurrent;
	public static RemoteObject ba;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public main() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
		mostCurrent = new main();
		remoteMe = RemoteObject.declareNull("b4j.Valentin1.main");
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("main"), "b4j.Valentin1.main");
	}
    public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    private static PCBA pcBA = new PCBA(null, main.class);
	public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
    public static RemoteObject getObject() {
		return myClass;
	 }
	public PCBA create(Object[] args) throws ClassNotFoundException{
		ba = (RemoteObject) args[1];
		pcBA = new PCBA(this, main.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _fx = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX");
public static RemoteObject _mainform = RemoteObject.declareNull("anywheresoftware.b4j.objects.Form");
public static RemoteObject _btnstart = RemoteObject.declareNull("anywheresoftware.b4j.objects.ButtonWrapper");
public static RemoteObject _cvsgame = RemoteObject.declareNull("anywheresoftware.b4j.objects.CanvasWrapper");
public static RemoteObject _pnlracket = RemoteObject.declareNull("anywheresoftware.b4j.objects.PaneWrapper.ConcretePaneWrapper");
public static RemoteObject _sldspeed = RemoteObject.declareNull("anywheresoftware.b4j.objects.SliderWrapper");
public static RemoteObject _sldracketheight = RemoteObject.declareNull("anywheresoftware.b4j.objects.SliderWrapper");
public static RemoteObject _racketleft = RemoteObject.createImmutable(0);
public static RemoteObject _rackettop = RemoteObject.createImmutable(0);
public static RemoteObject _racketmaxtop = RemoteObject.createImmutable(0);
public static RemoteObject _racketwidth = RemoteObject.createImmutable(0);
public static RemoteObject _racketheight = RemoteObject.createImmutable(0);
public static RemoteObject _racketheightmin = RemoteObject.createImmutable(0);
public static RemoteObject _racketheightmax = RemoteObject.createImmutable(0);
public static RemoteObject _ballleft = RemoteObject.createImmutable(0);
public static RemoteObject _balltop = RemoteObject.createImmutable(0);
public static RemoteObject _ballmaxtop = RemoteObject.createImmutable(0);
public static RemoteObject _ballwidth = RemoteObject.createImmutable(0);
public static RemoteObject _ballheight = RemoteObject.createImmutable(0);
public static RemoteObject _ballracketleft = RemoteObject.createImmutable(0);
public static RemoteObject _balldeltaxmin = RemoteObject.createImmutable(0);
public static RemoteObject _balldeltaxmax = RemoteObject.createImmutable(0);
public static RemoteObject _balldeltax0 = RemoteObject.createImmutable(0);
public static RemoteObject _balldeltax = RemoteObject.createImmutable(0);
public static RemoteObject _balldeltay = RemoteObject.createImmutable(0);
public static RemoteObject _sgnx = RemoteObject.createImmutable(0);
public static RemoteObject _tmrball = RemoteObject.declareNull("anywheresoftware.b4a.objects.Timer");
  public Object[] GetGlobals() {
		return new Object[] {"BallDeltaX",main._balldeltax,"BallDeltaX0",main._balldeltax0,"BallDeltaXMax",main._balldeltaxmax,"BallDeltaXMin",main._balldeltaxmin,"BallDeltaY",main._balldeltay,"BallHeight",main._ballheight,"BallLeft",main._ballleft,"BallMaxTop",main._ballmaxtop,"BallRacketLeft",main._ballracketleft,"BallTop",main._balltop,"BallWidth",main._ballwidth,"btnStart",main._btnstart,"cvsGame",main._cvsgame,"fx",main._fx,"MainForm",main._mainform,"pnlRacket",main._pnlracket,"RacketHeight",main._racketheight,"RacketHeightMax",main._racketheightmax,"RacketHeightMin",main._racketheightmin,"RacketLeft",main._racketleft,"RacketMaxTop",main._racketmaxtop,"RacketTop",main._rackettop,"RacketWidth",main._racketwidth,"SgnX",main._sgnx,"sldRacketHeight",main._sldracketheight,"sldSpeed",main._sldspeed,"tmrBall",main._tmrball};
}
}